# Variable create_tenant

create_tenant: (
t: {
loadAndSaveNewPlugin: (plugin: Plugin) => void;
noSignalOrDB?: boolean;
plugin_loader: Function;
t: string;
tenant_template?: string;
},
) => Promise<void>

#### Type Declaration

- - (
    t: {
    loadAndSaveNewPlugin: (plugin: Plugin) => void;
    noSignalOrDB?: boolean;
    plugin_loader: Function;
    t: string;
    tenant_template?: string;
    },
    ): Promise<void>

  - Create tenant? Not sure that is correct name

    - load plugins
    - use tenant template (copy structures from...)

    #### Parameters

    - t: {
      loadAndSaveNewPlugin: (plugin: Plugin) => void;
      noSignalOrDB?: boolean;
      plugin_loader: Function;
      t: string;
      tenant_template?: string;
      }

    #### Returns Promise<void>

- Defined in index.ts:47